Update a product

Requires the PRODUCT.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdOrReferencestringRequiredDefaults to
The ID of the resource for which the action is posted.

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

align_product_item_statusbooleanOptional
Updates the status of product items to the status of the Product, e.g. if theDD Product is Activated, the product items are activated

Request

This endpoint expects an object.
category_idstringRequired
The resource ID of the product category, that belongs to the product.
namestringRequiredformat: "^.*$"0-256 characters
referencestringRequiredformat: "^\S+$"0-256 characters
product_typeenumRequired
Allowed values:
categoryobject or nullOptional
parent_product_idstring or nullOptional
The resource ID of the original product, to which the product will belong to.
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
statusenum or nullOptional
The status of the product.
Allowed values:
tax_categoryenum or nullOptional
The default tax category applied to the product.
Allowed values:
featureslist of objects or nullOptional
The features associated with the product.
custom_fieldslist of objects or nullOptional
display_orderinteger or nullOptional
Determines the order in which products are displayed on overview pages and invoices. The lowest number gets the highest priority.
linked_integrationslist of objects or nullOptional
billing_entity_idstring or nullOptional
The resource ID of the billing entity linked to this product.

Response

OK
category_idstring
The resource ID of the product category, that belongs to the product.
namestringformat: "^.*$"0-256 characters
referencestringformat: "^\S+$"0-256 characters
product_typeenum
Allowed values:
object_typestring or nullRead-only
idstring or nullRead-only
categoryobject or null
parent_product_idstring or null
The resource ID of the original product, to which the product will belong to.
descriptionstring or nullformat: "^.*$"0-256 characters
statusenum or null
The status of the product.
Allowed values:
tax_categoryenum or null
The default tax category applied to the product.
Allowed values:
featureslist of objects or null
The features associated with the product.
custom_fieldslist of objects or null
display_orderinteger or null
Determines the order in which products are displayed on overview pages and invoices. The lowest number gets the highest priority.
linked_integrationslist of objects or null
billing_entity_idstring or null
The resource ID of the billing entity linked to this product.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error